#!/bin/bash

echo "=== AIOS Docker Build Environment ==="

# Build Docker image
echo "Building Docker image..."
docker build -t aios-dev .

# Run test kernel build
echo "Testing simple kernel build..."
docker run --rm -v $(pwd):/aios aios-dev test-kernel

# Run main kernel build
echo "Building main AIOS kernel..."
docker run --rm -v $(pwd):/aios aios-dev build-aios

echo "Build complete. Check target/ directories for binaries."